/****************************************************/
/*                                                  */
/* smaf.h : SMAF code symbol define                 */
/*                                                  */
/* NON COMMERCIAL USE ONLY                          */
/*                                                  */
/* 2011/04/20 Rev. 1.01 by pcm1723 (reorganized)    */
/*                                                  */
/****************************************************/

#ifndef SMAF_H
#define SMAF_H

/* first byte of event */

#define E1_NOP    0xff
#define E1_MISCEV 0x00

/* 2-byte event code */

#define E2_EXPRESS 0x00
#define E2_PCHBEND 0x01
#define E2_MODURAT 0x02
#define E2_3BYTE   0x03

/* 3-byte event code */

#define E3_PGMCHNG 0x0
#define E3_BANKSEL 0x1
#define E3_OCTSHFT 0x2
#define E3_MODURAT 0x3
#define E3_PCHBEND 0x4
#define E3_VOLUME  0x7
#define E3_PAN     0xa
#define E3_EXPRESS 0xb 

#endif // SMAF_H