/****************************************************/
/*                                                  */
/* sysx.h : MIDI system exclusive define            */
/*                                                  */
/* NON COMMERCIAL USE ONLY                          */
/*                                                  */
/* 2011/04/20 Rev. 1.01 by pcm1723 (reorganized)    */
/*                                                  */
/****************************************************/

#ifndef SYSX_H
#define SYSX_H

// Buffer size of MIDI System Exclusive message
#define MAXSYSEXLEN 40

//
// variables
//
extern uint8_t sysx_buf[MAXSYSEXLEN];
extern int     sx_ix;
extern int32_t sx_mfr_id;
extern int     sx_dev_id, sx_sub_id1, sx_sub_id2;

//
// functions
//
extern int  sx_getb(void);
extern void sysx_dec(int len);

#endif // SYSX_H